Summary: NIDS (Network Intrusion Detection System) components.
Name: libnids
Version: 1.16
Release: fr1
#Serial: 
Copyright: GPL
Group: System Environment/Libraries
Source: http://www.packetfactory.net/Projects/Libnids/dist/libnids-%{version}.tar.gz
URL: http://www.packetfactory.net/Projects/Libnids/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libnet, libpcap

%description
Libnids is a library that provides a functionality of one of NIDS 
(Network Intrusion Detection System) components, namely E-component.
It means that libnids code watches all local networktraffic, cooks
received datagrams a bit (quite a bit ;)), and provides convinient
information on them to analyzing modules of NIDS. Libnids performs:
a) Assembly of TCP segments into TCP streams
b) IP defragmentation
c) TCP port scan detection 
More technical info can be found in MISC file.
So, if you intend to develop a custom NIDS, you don't have to build
low-level network code. If you decide to use libnids, you have got
E-component ready - you can focus on implementing other parts of NIDS.

%prep
%setup -q

%build
%configure
make 

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGES COPYING CREDITS MISC README doc samples
%{_includedir}/nids.h
%{_libdir}/libnids.a
%{_mandir}/man3/libnids.3*

%changelog
* Thu Apr 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Mon Dec 18 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 1.1.6 and cleaned up the spec file

* Tue May 02 2000 Joerg Dorchain <joerg@dorchain.net>
- RPM Version

